> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /epicgames/games/free

> Get current and upcoming free game promotions on the Epic Games Store

**Price:** 5 credits



## OpenAPI

````yaml /openapi/games.json post /api/epicgames/games/free
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/epicgames/games/free:
    post:
      tags:
        - /epicgames
      summary: /epicgames/games/free
      description: |-
        Get current and upcoming free game promotions on the Epic Games Store

        **Price:** 5 credits
      operationId: __api_epicgames_games_free_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EpicgamesFreeGamesPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/EpicgamesFreeGame'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    EpicgamesFreeGamesPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        country:
          $ref: '#/components/schemas/EpicgamesCountry'
          default: US
        locale:
          $ref: '#/components/schemas/EpicgamesLocale'
          default: en-US
      type: object
    EpicgamesFreeGame:
      properties:
        '@type':
          type: string
          default: EpicgamesFreeGame
        id:
          type: string
        namespace:
          type: string
        alias:
          anyOf:
            - type: string
            - type: 'null'
        offer_type:
          anyOf:
            - type: string
            - type: 'null'
        status:
          anyOf:
            - type: string
            - type: 'null'
        effective_date:
          anyOf:
            - type: string
            - type: 'null'
        seller:
          anyOf:
            - $ref: '#/components/schemas/EpicgamesSeller'
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        images:
          items:
            $ref: '#/components/schemas/EpicgamesImage'
          type: array
          default: []
        categories:
          items:
            type: string
          type: array
          default: []
        price:
          anyOf:
            - $ref: '#/components/schemas/EpicgamesPrice'
            - type: 'null'
        is_currently_free:
          type: boolean
          default: false
        is_upcoming_free:
          type: boolean
          default: false
        current_promotions:
          items:
            $ref: '#/components/schemas/EpicgamesFreePromotion'
          type: array
          default: []
        upcoming_promotions:
          items:
            $ref: '#/components/schemas/EpicgamesFreePromotion'
          type: array
          default: []
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - namespace
        - title
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    EpicgamesCountry:
      type: string
      enum:
        - US
        - GB
        - CA
        - AU
        - DE
        - FR
        - IT
        - ES
        - NL
        - BR
        - MX
        - IN
        - JP
        - KR
        - TR
        - RU
        - PL
    EpicgamesLocale:
      type: string
      enum:
        - en-US
        - en-GB
        - de-DE
        - fr-FR
        - it-IT
        - es-ES
        - nl-NL
        - pt-BR
        - es-MX
        - ja
        - ko
        - tr
        - ru
        - pl
    EpicgamesSeller:
      properties:
        '@type':
          type: string
          default: EpicgamesSeller
        id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          type: string
      type: object
      required:
        - name
    EpicgamesImage:
      properties:
        '@type':
          type: string
          default: EpicgamesImage
        image_type:
          type: string
        url:
          type: string
      type: object
      required:
        - image_type
        - url
    EpicgamesPrice:
      properties:
        '@type':
          type: string
          default: EpicgamesPrice
        original_price:
          anyOf:
            - type: number
            - type: 'null'
        discount_price:
          anyOf:
            - type: number
            - type: 'null'
        currency_code:
          anyOf:
            - type: string
            - type: 'null'
        discount:
          anyOf:
            - type: number
            - type: 'null'
        discount_percent:
          anyOf:
            - type: integer
            - type: 'null'
        original_price_display:
          anyOf:
            - type: string
            - type: 'null'
        discount_price_display:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    EpicgamesFreePromotion:
      properties:
        '@type':
          type: string
          default: EpicgamesFreePromotion
        start_at:
          anyOf:
            - type: string
            - type: 'null'
        end_at:
          anyOf:
            - type: string
            - type: 'null'
        discount_percent:
          anyOf:
            - type: integer
            - type: 'null'
        is_free:
          type: boolean
          default: false
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````